Subject: bug#15418: 24.3.50; RCS annotate broken in vc-rcs.el r114131

From: Richard Copley <[email-masked]>
Date: Wed, 6 Nov 2013 10:56:48 +0000

On 5 November 2013 15:37, Stefan Monnier <[email-masked]> wrote:

    > Attached is a simple RCS master file that reproduces the issue.
    Thanks.  I installed the patch below which fixes the problem at least on
    this trivial file.  And sorry for taking so long.  Please confirm that
    it fixes the problem in real life as well.

Thanks. I rebuilt Emacs from trunk r114733 to test. `vc-annotate' no longer
signals an error, but neither does it work correctly. For non-trivial
master files, many lines are wrongly attributed to revision 1.1.